com.lowagie.text.pdf.interfaces

## Interface PdfVersion

All Known Implementing Classes:
  FdfWriter.Wrt, PdfCopy, PdfCopyFieldsImp, PdfCopyFormsImp, PdfSmartCopy, PdfStamperImp, PdfVersionImp, PdfWriter

    public interface PdfVersion

The PDF version is described in the PDF Reference 1.7 p92 (about the PDF Header) and page 139 (the version entry in the Catalog). You'll also find info about setting the version in the book 'iText in Action' sections 2.1.3 (PDF Header) and 3.3 (Version history).

### Method Summary

Methods
`void` `addDeveloperExtension(PdfDeveloperExtension de)` Adds a developer extension to the Extensions dictionary in the Catalog.
`void` `setAtLeastPdfVersion(char version)` If the PDF Header hasn't been written yet, this changes the version as it will appear in the PDF Header, but only if the parameter refers to a higher version.
`void` `setPdfVersion(char version)` If the PDF Header hasn't been written yet, this changes the version as it will appear in the PDF Header.
`void` `setPdfVersion(PdfName version)` Sets the PDF version as it will appear in the Catalog.

### Method Detail

#### setPdfVersion

    void setPdfVersion(char version)

If the PDF Header hasn't been written yet, this changes the version as it will appear in the PDF Header. If the PDF header was already written to the OutputStream, this changes the version as it will appear in the Catalog.

Parameters:
  `version` - a character representing the PDF version

#### setAtLeastPdfVersion

    void setAtLeastPdfVersion(char version)

If the PDF Header hasn't been written yet, this changes the version as it will appear in the PDF Header, but only if the parameter refers to a higher version. If the PDF header was already written to the OutputStream, this changes the version as it will appear in the Catalog.

Parameters:
  `version` - a character representing the PDF version

#### setPdfVersion

    void setPdfVersion(PdfName version)

Sets the PDF version as it will appear in the Catalog. Note that this only has effect if you use a later version than the one that appears in the header; this method ignores the parameter if you try to set a lower version.

Parameters:
  `version` - the PDF name that will be used for the Version key in the catalog

#### addDeveloperExtension

    void addDeveloperExtension(PdfDeveloperExtension de)

Adds a developer extension to the Extensions dictionary in the Catalog.

Parameters:
  `de` - an object that contains the extensions prefix and dictionary
Since:
  2.1.6